Si vous utilisez vCloud Director 5.x, lorsque vous avez effectué la mise à niveau vers NSX, vous devez modifier la base de données pour empêcher que d'anciens dispositifs vShield Edge soient déployés en tant que dispositifs NSX Edge.

Il est important de ne pas mettre à niveau d'anciennes passerelles ESG vers VMware NSX 6.x, car cela interrompra la compatibilité de vCloud Director. vCloud Director 5.x mettra à niveau un dispositif Edge sur vCloud Director lorsqu'un dispositif Edge est redéployé. Pour éviter ce comportement, la modification de la base de données vCloud Director suivante est nécessaire avant la migration de vCloud Network and Security.

Pour plus d'informations, consultez les articles suivants de la base de connaissances VMware : http://kb.vmware.com/kb/2096351 et http://kb.vmware.com/kb/2108913.

Procédure

  1. Connectez-vous à la base de données de SQL Server vCloud Director.
  2. Ajoutez cette ligne au tableau de configuration.
    INSERT INTO config (cat, name, value, sortorder) VALUES ('vcloud','networking.edge_version_for_vsm6.2', '5.5', 0);
    Note:

    Utilisez networking.edge_version_for_vsm6.1 si NSX 6.1 est utilisé ou networking.edge_version_for_vsm6.0 si NSX 6.0 est utilisé.